function focusOnMap() {
    var layout = maskat.app.getLayout("gourmet");

    var grid = layout.getWidget("searchResultGrid");
    var index = grid.getValue("selectedIndex"); 
    var row = grid.getValue()[index];

    var map = layout.getWidget("map");
    var info = { lat: row.lat, lng: row.lng, text: row[0] };   
    map.setValue(info, "panTo");
    map.setValue(info, "openInfoWindow");

    layout.getWidget("nameText").setValue(row[0]);
    layout.getWidget("descriptionText").setValue(row.description);
}

function showDetailTab() {
    listFolder.activeTab(1);
}
